aboutsummaryrefslogtreecommitdiff
path: root/src/secp256k1/ci
diff options
context:
space:
mode:
authorfanquake <fanquake@gmail.com>2024-01-04 14:40:28 +0000
committerfanquake <fanquake@gmail.com>2024-01-04 14:40:28 +0000
commite2cdeb592596432039d21f4c819d45f1e46d65ef (patch)
tree050af003ad6330259841ce6404f6e4c28a75652e /src/secp256k1/ci
parent65c05db660b2ca1d0076b0d8573a6760b3228068 (diff)
parent29fde0223abc706925188014209eba75390a9df8 (diff)
downloadbitcoin-e2cdeb592596432039d21f4c819d45f1e46d65ef.tar.xz
Update secp256k1 subtree to latest master
Diffstat (limited to 'src/secp256k1/ci')
-rwxr-xr-xsrc/secp256k1/ci/ci.sh16
-rw-r--r--src/secp256k1/ci/linux-debian.Dockerfile10
2 files changed, 22 insertions, 4 deletions
diff --git a/src/secp256k1/ci/ci.sh b/src/secp256k1/ci/ci.sh
index 719e7851ef..9cc715955e 100755
--- a/src/secp256k1/ci/ci.sh
+++ b/src/secp256k1/ci/ci.sh
@@ -83,7 +83,21 @@ esac
--host="$HOST" $EXTRAFLAGS
# We have set "-j<n>" in MAKEFLAGS.
-make
+build_exit_code=0
+make > make.log 2>&1 || build_exit_code=$?
+cat make.log
+if [ $build_exit_code -ne 0 ]; then
+ case "${CC:-undefined}" in
+ *snapshot*)
+ # Ignore internal compiler errors in gcc-snapshot and clang-snapshot
+ grep -e "internal compiler error:" -e "PLEASE submit a bug report" make.log
+ return $?;
+ ;;
+ *)
+ return 1;
+ ;;
+ esac
+fi
# Print information about binaries so that we can see that the architecture is correct
file *tests* || true
diff --git a/src/secp256k1/ci/linux-debian.Dockerfile b/src/secp256k1/ci/linux-debian.Dockerfile
index e719907e89..5ce715b41b 100644
--- a/src/secp256k1/ci/linux-debian.Dockerfile
+++ b/src/secp256k1/ci/linux-debian.Dockerfile
@@ -29,11 +29,15 @@ RUN apt-get update && apt-get install --no-install-recommends -y \
gcc-i686-linux-gnu libc6-dev-i386-cross libc6-dbg:i386 libubsan1:i386 libasan8:i386 \
gcc-s390x-linux-gnu libc6-dev-s390x-cross libc6-dbg:s390x \
gcc-arm-linux-gnueabihf libc6-dev-armhf-cross libc6-dbg:armhf \
- gcc-aarch64-linux-gnu libc6-dev-arm64-cross libc6-dbg:arm64 \
gcc-powerpc64le-linux-gnu libc6-dev-ppc64el-cross libc6-dbg:ppc64el \
gcc-mingw-w64-x86-64-win32 wine64 wine \
gcc-mingw-w64-i686-win32 wine32 \
- python3
+ python3 && \
+ if ! ( dpkg --print-architecture | grep --quiet "arm64" ) ; then \
+ apt-get install --no-install-recommends -y \
+ gcc-aarch64-linux-gnu libc6-dev-arm64-cross libc6-dbg:arm64 ;\
+ fi && \
+ apt-get clean && rm -rf /var/lib/apt/lists/*
# Build and install gcc snapshot
ARG GCC_SNAPSHOT_MAJOR=14
@@ -44,7 +48,7 @@ RUN apt-get update && apt-get install --no-install-recommends -y wget libgmp-dev
sha512sum --check --ignore-missing sha512.sum && \
# We should have downloaded exactly one tar.xz file
ls && \
- [[ $(ls *.tar.xz | wc -l) -eq "1" ]] && \
+ [ $(ls *.tar.xz | wc -l) -eq "1" ] && \
tar xf *.tar.xz && \
mkdir gcc-build && cd gcc-build && \
../*/configure --prefix=/opt/gcc-snapshot --enable-languages=c --disable-bootstrap --disable-multilib --without-isl && \